ldapGroups

5 endpoints
GET/rest/ldapGroups

Returns a list of LDAP groups.

Returns a list of LDAP groups that have been enabled through the kiteworks admin.

Parameters
Query Parameters
name
Optional
string

LDAP group name

name:contains
Optional
string

LDAP group name. Search for results that contain the specified characters in this parameter.

email
Optional
string

LDAP group email.

email:contains
Optional
string

LDAP group email.. Search for results that contain the specified characters in this parameter.

orderBy
Optional
string[]

Sorting options

offset
Optional
integer

Offset

limit
Optional
integer

Limit

with
Optional
string

With parameters

mode
Optional
string

Determines the detail level of the response body.


Responses

List of LDAP groups retrieved successfully.

id
Required
integer

LDAP group unique identifier

name
Required
string

Display name of the LDAP group

email
string

LDAP group email address

description
string

LDAP group description

links
string[]

HATEOAS links associated with the entity

total
integer

Total number of items available.

limit
integer

Maximum number of items returned per page.

offset
integer

Number of items skipped before the current page.

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/ldapGroups" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

url = "https://{instance}.kiteworks.com/rest/ldapGroups"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
{ "data": [ { "id": 1, "name": "Engineering", "email": "engineering@example.com", "description": "Engineering team LDAP group" } ], "metadata": { "total": 1, "limit": 50, "offset": 0 } }
// Error - No Body
POST/rest/ldapGroups

Create an LDAP group

Creates a new LDAP group by looking up the provided distinguished name (DN) in the directory. Returns 422 if the DN is invalid or not found.

Parameters
Query Parameters
returnEntity
Optional
boolean

If set to true, returns information about the newly created entity.

mode
Optional
string

Determines the detail level of the response body.


Request Body
dn
Required
string

LDAP distinguished name (DN)

email
string

LDAP group email address

description
string

LDAP group description

addLinks
boolean

Indicates whether HATEOAS links should be included in the response


Responses

LDAP group created successfully.

id
Required
integer

LDAP group unique identifier

name
Required
string

Display name of the LDAP group

email
string

LDAP group email address

description
string

LDAP group description

links
string[]

HATEOAS links associated with the entity

Unprocessable Content

Possible error codes: ERR_INPUT_REQUIRED, ERR_INPUT_INVALID_EMAIL

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X POST \
  "https://{instance}.kiteworks.com/rest/ldapGroups" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "dn": "string",
         "email": "string",
         "description": "string",
         "addLinks": true
       }'
Python
import requests

url = "https://{instance}.kiteworks.com/rest/ldapGroups"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json",
}
payload = {
  "dn": "string",
  "email": "string",
  "description": "string",
  "addLinks": true
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
Responses
{ "id": 5, "name": "Engineering", "email": "engineering@example.com", "description": "Engineering team LDAP group" }
{ "errors": { "code": "ERR_INPUT_REQUIRED", "message": "Field is required" } }
{ "errors": { "code": "ERR_INPUT_INVALID_EMAIL", "message": "Input is not a valid email" } }
// Error - No Body
GET/rest/ldapGroups/{id}

Gets an LDAP group

Returns the details of the specified LDAP group, including its name, email address, and description.

Parameters
Path Parameters
id
Required
integer

ID of the LDAP group to be retrieved


Responses

LDAP group details retrieved successfully.

id
Required
integer

LDAP group unique identifier

name
Required
string

Display name of the LDAP group

email
string

LDAP group email address

description
string

LDAP group description

links
string[]

HATEOAS links associated with the entity

Request blocked by WAF

Empty response body.
Shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/ldapGroups/:id" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

id = "VALUE"  # ID of the LDAP group to be retrieved

url = f"https://{{instance}}.kiteworks.com/rest/ldapGroups/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
Responses
{ "id": 1, "name": "Engineering", "email": "engineering@example.com", "description": "Engineering team LDAP group" }
// Error - No Body
PUT/rest/ldapGroups/{id}

Updates an LDAP group

Updates the settings of the specified LDAP group.

Parameters
Path Parameters
id
Required
integer

ID of the LDAP to update


Request Body
email
string

LDAP group email address

description
string

LDAP group description

addLinks
boolean

Indicates whether HATEOAS links should be included in the response


Responses

LDAP group updated successfully.

id
Required
integer

LDAP group unique identifier

name
Required
string

Display name of the LDAP group

email
string

LDAP group email address

description
string

LDAP group description

links
string[]

HATEOAS links associated with the entity

Forbidden

Possible error codes: ERR_ACCESS_USER

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X PUT \
  "https://{instance}.kiteworks.com/rest/ldapGroups/:id" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "email": "string",
         "description": "string",
         "addLinks": true
       }'
Python
import requests

id = "VALUE"  # ID of the LDAP to update

url = f"https://{{instance}}.kiteworks.com/rest/ldapGroups/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json",
}
payload = {
  "email": "string",
  "description": "string",
  "addLinks": true
}
response = requests.put(url, headers=headers, json=payload)
print(response.json())
Responses
{ "id": 1, "name": "Engineering", "email": "eng-updated@example.com", "description": "Updated engineering team LDAP group" }
{ "errors": { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } }
// Error - No Body
DELETE/rest/ldapGroups/{id}

Deletes an LDAP group

Permanently deletes the specified LDAP group.

Parameters
Path Parameters
id
Required
integer

ID of the LDAP group to delete


Responses

LDAP group deleted successfully.

Empty response body.

Forbidden

Possible error codes: ERR_ACCESS_USER

code
string

Error code

message
string

Error message

Request blocked by WAF

Empty response body.
Shell
curl -X DELETE \
  "https://{instance}.kiteworks.com/rest/ldapGroups/:id" \
  -H "Authorization: Bearer YOUR_TOKEN"
Python
import requests

id = "VALUE"  # ID of the LDAP group to delete

url = f"https://{{instance}}.kiteworks.com/rest/ldapGroups/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.delete(url, headers=headers)
print(response.json())
Responses
// Request successful - No Body
{ "errors": { "code": "ERR_ACCESS_USER", "message": "Insufficient access permissions" } }
// Error - No Body